Summary:	A set of capable widgets for Tk
Name:		tix
Epoch:		1
Version:	8.4.3
Release:	%mkrel 16
License:	BSD
Group:		System/Libraries
URL:		https://tix.sourceforge.net/
Source0:	https://downloads.sourceforge.net/tixlibrary/Tix%{version}-src.tar.gz
Patch1:		tix-8.4.2-link.patch
Patch2:		tix-8.4.3-tcl86.patch
Patch3:		tix-8.4.3-python3.patch
Patch4:		tix-implicit-int.patch
Patch5:		tix-configure-c99.patch
Patch6:		tix-c89.patch
BuildRequires:	pkgconfig(tcl)
BuildRequires:	pkgconfig(tk)
BuildRequires:	pkgconfig(xscrnsaver)
BuildRequires:	groff
BuildRequires:	tcl

%description
Tix (Tk Interface Extension), an add-on for the Tk widget set, is an
extensive set of over 40 widgets.  In general, Tix widgets are more
complex and more capable than the widgets provided in Tk.  Tix widgets
include a ComboBox, a Motif-style FileSelectBox, an MS Windows-style
FileSelectBox, a PanedWindow, a NoteBook, a hierarchical list, a
directory tree and a file manager.

Install the tix package if you want to try out more complicated widgets
for Tk.  You'll also need to have the tcl and tk packages installed.

%package	devel
Summary:	Development files for %{name}
Group:		Development/Other

%description	devel
This package contains development files for %{name}.

%prep
%autosetup -p1 -n Tix%{version}

# nuke pdf files
rm -rf docs/pdf

# Fix end-of-line encoding
sed -i 's/\r//' docs/Release-8.4.0.txt

%build
for f in config.guess config.sub ; do
    test -f /usr/share/libtool/$f || continue
    find . -type f -name $f -exec cp /usr/share/libtool/$f \{\} \;
done

%configure \
	--libdir=%{tcl_sitearch} \
	--with-tcl=%{_libdir} \
	--with-tk=%{_libdir}
%make_build PKG_LIB_FILE=libTix.so

%install
install -d %{buildroot}%{_libdir}
install -d %{buildroot}%{tcl_sitearch}
install -d %{buildroot}%{_includedir}/%{name}

%make_install PKG_LIB_FILE=libTix.so

# put the library in /usr/lib as Tix itself is directly linked
mv %{buildroot}%{tcl_sitearch}/Tix%{version}/libTix.so %{buildroot}%{_libdir}
ln -s %{_libdir}/libTix.so %{buildroot}%{tcl_sitearch}/Tix%{version}/libTix.so

# install all headers
install -d %{buildroot}%{_includedir}/%{name}/generic
install -d %{buildroot}%{_includedir}/%{name}/unix
install -m0644 generic/*.h %{buildroot}%{_includedir}/%{name}/generic/
install -m0644 unix/*.h %{buildroot}%{_includedir}/%{name}/unix/

# install man pages
mkdir -p %{buildroot}%{_mandir}/mann
mkdir -p %{buildroot}%{_mandir}/man1
install -m0644 man/*.n %{buildroot}%{_mandir}/mann
install -m0644 man/*.1 %{buildroot}%{_mandir}/man1

# remove stuff that ends up as docs
rm -f %{buildroot}%{tcl_sitearch}/Tix%{version}/README.txt
rm -f %{buildroot}%{tcl_sitearch}/Tix%{version}/license.terms

%files
%doc *.txt *.html license.terms docs/*
%{_libdir}/libTix.so
%{tcl_sitearch}/Tix%{version}
%{_mandir}/man1/*

%files devel
%{_includedir}/%{name}/
%{_mandir}/mann/*


%changelog
* Fri Oct 25 2024 daviddavid <daviddavid> 1:8.4.3-16.mga10
+ Revision: 2111118
- add fedora patches to fix build with GCC 14

* Tue Mar 29 2022 umeabot <umeabot> 1:8.4.3-15.mga9
+ Revision: 1831804
- Mageia 9 Mass Rebuild

* Wed Feb 26 2020 daviddavid <daviddavid> 1:8.4.3-14.mga8
+ Revision: 1550697
- add patch to port WmDefault.py to python3
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 1:8.4.3-13.mga7
+ Revision: 1301422
- Mageia 7 Mass Rebuild

* Wed Feb 17 2016 umeabot <umeabot> 1:8.4.3-12.mga6
+ Revision: 963069
- Mageia 6 Mass Rebuild

* Thu Oct 29 2015 daviddavid <daviddavid> 1:8.4.3-11.mga6
+ Revision: 896406
- add patch2 from Fedora to fix build with tcl 8.6
- switch BuildRequires to pkgconfig()
- move Epoch below the point it's used in .spec
- fix end-of-line encoding

* Wed Oct 15 2014 umeabot <umeabot> 1:8.4.3-10.mga5
+ Revision: 744346
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1:8.4.3-9.mga5
+ Revision: 689900
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1:8.4.3-8.mga4
+ Revision: 519638
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 1:8.4.3-7.mga3
+ Revision: 384592
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 04 2011 wally <wally> 1:8.4.3-6.mga2
+ Revision: 176157
- drop tcl8.6 patch
- fix build
- rebuild for new tcl

* Mon Jan 10 2011 blino <blino> 1:8.4.3-5.mga1
+ Revision: 5108
- remove old ldconfig scriptlets and obsoletes
- imported package tix


* Fri Dec 03 2010 Oden Eriksson <oeriksson@mandriva.com> 1:8.4.3-4mdv2011.0
+ Revision: 608005
- rebuild

* Mon Mar 15 2010 Oden Eriksson <oeriksson@mandriva.com> 1:8.4.3-3mdv2010.1
+ Revision: 520286
- rebuilt for 2010.1

* Thu Sep 03 2009 Christophe Fergeau <cfergeau@mandriva.com> 1:8.4.3-2mdv2010.0
+ Revision: 427379
- rebuild

* Sat Dec 06 2008 Adam Williamson <awilliamson@mandriva.org> 1:8.4.3-1mdv2009.1
+ Revision: 311053
- rebuild for new tcl
- install to new location as per policy, but also to /usr/lib as tix binary
  is linked against the lib
- drop a bunch of old silly workarounds
- drop old patches (no longer needed)
- add tcl86.patch (fix build for tcl 8.6)
- add link.patch (from Fedora, I think)
- new release 8.4.3
- drop all the ridiculous libification crap

* Mon Sep 15 2008 Per Øyvind Karlsen <peroyvind@mandriva.org> 1:8.1.4-9mdv2009.0
+ Revision: 284835
- rebuild to fix 'rpmlib(PayloadIsLzma) <= 4.4.2.2-1' dependency

* Wed Jun 18 2008 Thierry Vignaud <tv@mandriva.org> 1:8.1.4-8mdv2009.0
+ Revision: 225753
- rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Wed Mar 05 2008 Oden Eriksson <oeriksson@mandriva.com> 1:8.1.4-7mdv2008.1
+ Revision: 179652
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Sep 07 2007 Anssi Hannula <anssi@mandriva.org> 1:8.1.4-6mdv2008.0
+ Revision: 82018
- rebuild for new soname of tcl

* Tue May 15 2007 Michael Scherer <misc@mandriva.org> 1:8.1.4-5mdv2008.0
+ Revision: 26805
- Fix BuildRequires
- rebuild on new tcl 8.5


* Fri Feb 02 2007 Oden Eriksson <oeriksson@mandriva.com> 8.1.4-4mdv2007.0
+ Revision: 115965
- Import tix

* Thu Jan 19 2006 Christiaan Welvaart <cjw@daneel.dyndns.org> 1:8.1.4-4mdk
- add BuildRequires: tcl (for tclsh)

* Tue Jan 03 2006 Oden Eriksson <oeriksson@mandriva.com> 1:8.1.4-3mdk
- fix deps

* Tue Jan 03 2006 Oden Eriksson <oeriksson@mandriva.com> 1:8.1.4-2mdk
- added epoch

* Sun Jan 01 2006 Oden Eriksson <oeriksson@mandriva.com> 8.1.4-1mdk
- initial Mandriva package

